Map widget in ArcGIS API for Python 1.3 not working?

472
3
12-19-2017 12:33 PM
Ericvan_Rees
New Contributor

I installed the latest version of ArcGIS API for Python (v 1.3.) today on Windows 10 through conda in a separate virtualenv. The map widget is not displaying, although I can run commands such as map.center and get coordinate data returned. I get no error messages or whatsoever, everything seems be installed correctly. What could be the problem here?

#arcgis api for python‌ python 3.6 

0 Kudos
3 Replies
OSINT_ENGINEER
New Contributor III

Any progress on this? Same issue using a clean conda installation and the current arcgis release. Any Ipython widget version conflict?

0 Kudos
RohitSingh2
Esri Contributor

The current conda install lays down ipywidgets v7.0, which is incompatible with the map widget in ArcGIS API for Python v1.4.0

A workaround is to `conda uninstall ipywidgets` and then `conda install -c esri arcgis`. Alternatively, you can create a new conda environment, activate it, and install the ArcGIS API for Python in the new environment, and then the map widget should work.

We are working on updating the widget to work with the latest version of ipywidget.

0 Kudos
JohnYaist1
Esri Contributor

Hey Eric van Rees

Check out the System Requirements page - map widget issues typically occur when the ipywidgets and/or widgetsnbextension packages are not at the right release. If the versions are in the correct range, try running this before opening the notebook:

jupyter nbextension enable --py --sys-prefix arcgis
0 Kudos